# Alan voice assistant SDK for Android

[Alan Platform](https://alan.app/) • [Alan Studio](https://studio.alan.app/register) • [Docs](https://alan.app/docs) • [FAQ](https://alan.app/docs/usage/additional/faq) •
[Blog](https://alan.app/blog/) • [Twitter](https://twitter.com/alanvoiceai)

[![GitHub release (latest by date)](https://img.shields.io/github/v/release/alan-ai/alan-sdk-android)](https://github.com/alan-ai/alan-sdk-android/releases)
[![CircleCI](https://circleci.com/gh/alan-ai/alan-sdk-android.svg?style=shield)](https://circleci.com/gh/alan-ai/alan-sdk-android)

Quickly add voice to your app. Create an in-app voice assistant to enable human-like conversations and provide a personalized voice experience for every user.

<img src="https://storage.googleapis.com/alan-public-images/github/phone-finance.gif" height="325px" align="right"/>


## Alan is a Voice AI Platform

Alan is a conversational voice AI platform that lets you create an intelligent voice assistant for your app. It offers all necessary tools to design, embed and host your voice solutions:

#### Alan Studio
A powerful web-based IDE where you can write, test and debug dialog scenarios for your voice assistant or chatbot.

#### Alan Client SDKs

Alan's lightweight SDKs to quickly embed a voice assistant to your app.

#### Alan Cloud

Alan's AI-backend powered by the industry’s best Automatic Speech Recognition (ASR), Natural Language Understanding (NLU) and Speech Synthesis. The Alan Cloud provisions and handles the infrastructure required to maintain your voice deployments and perform all the voice processing tasks.

To get more details on how Alan works, see <a href="https://alan.app/platform" target="_blank">Alan Platform</a>.

## Why Alan?

* **No or minimum changes to your UI**: To voice enable your app, you only need to get the Alan Client SDK and drop it to your app.
* **Serverless environment**: No need to plan for, deploy and maintain any infrastructure or speech components - the Alan Platform does the bulk of the work.
* **On-the-fly updates**: All changes to the dialogs become available immediately.
* **Voice flow testing and analytics**: Alan Studio provides advanced tools for testing your dialog flows and getting the analytics data on users' interactions, all in the same console.

## How to start

To create a voice assistant for your Android app written in Java or Kotlin:

1. <a href="https://studio.alan.app/register" target="_blank">Sign up for Alan Studio</a> to build voice scripts in JavaScript and test them.
2. Use the Alan Android SDK to embed a voice assistant to your application. For details, see <a href="https://alan.app/docs/client-api/android/android-api" target="_blank">Alan AI documentation</a>.

Check out our [demo](https://play.google.com/store/apps/details?id=app.alan.playground).

## Downloads
* [Maven artifact](https://search.maven.org/artifact/app.alan/sdk)
* [Alan Android SDK releases](https://github.com/alan-ai/alan-sdk-android/releases)


## Example  apps

In the [Examples](https://github.com/alan-ai/alan-sdk-android/tree/master/examples) folder, you can find example apps integrated with the Alan voice SDK for Android. Launch the app, tap the Alan button and start giving voice commands. For example, in the Alan Sample app you can ask: "How are you doing?" or "What's your name?"

## Other platforms

You may also want to try Alan Client SDKs for the following platforms:

* <a href="https://github.com/alan-ai/alan-sdk-web" target="_blank">Web</a>
* <a href="https://github.com/alan-ai/alan-sdk-ios" target="_blank">iOS</a>
* <a href="https://github.com/alan-ai/alan-sdk-flutter" target="_blank">Flutter</a>
* <a href="https://github.com/alan-ai/alan-sdk-ionic" target="_blank">Ionic</a>
* <a href="https://github.com/alan-ai/alan-sdk-cordova" target="_blank">Apache Cordova</a>
* <a href="https://github.com/alan-ai/alan-sdk-reactnative" target="_blank">React Native</a>
* <a href="https://github.com/alan-ai/alan-sdk-pcf" target="_blank">PowerApps</a>

## Have questions?

If you have any questions or something is missing in the documentation:
- Join [Alan AI Slack community](https://app.slack.com/client/TL55N530A) for support
- Contact us at [support@alan.app](mailto:support@alan.app)